import { useContext } from 'react';
import { namedRouterContext } from './NamedRouter';
export const useNamedRouting = () => useContext(namedRouterContext);
export const useLocation = () => useNamedRouting().location;
export const useParams = () => useNamedRouting().params;
export const useCurrentRoute = () => useNamedRouting().currentRoute;
