import React, { createContext } from 'react';
import { BrowserRouter } from 'react-router-dom';
import { Route } from 'react-router';
import { buildRoutingContext } from './utils';
export const namedRouterContext = createContext(buildRoutingContext([], { location: '/' }));
export const NamedRouter = ({ routerComponent: RouterComponent = BrowserRouter, routerProps, routes, children, }) => (React.createElement(RouterComponent, Object.assign({}, routerProps),
    React.createElement(Route, null, (routerContext) => (React.createElement(namedRouterContext.Provider, { value: buildRoutingContext(routes, routerContext) }, children)))));
NamedRouter.displayName = 'NamedRouter';
