import React from 'react';
import { LinkProps } from 'react-router-dom';
import { NamedLocation } from './utils';
export interface NamedLinkProps<TParams = object> extends LinkProps {
    to: string | NamedLocation;
    params?: TParams;
    children?: React.ReactNode;
}
export declare const NamedLink: React.FC<NamedLinkProps>;
